INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_THEREMIN theremin)

FIND_PATH(
    THEREMIN_INCLUDE_DIRS
    NAMES theremin/api.h
    HINTS $ENV{THEREMIN_DIR}/include
        ${PC_THEREMIN_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    THEREMIN_LIBRARIES
    NAMES gnuradio-theremin
    HINTS $ENV{THEREMIN_DIR}/lib
        ${PC_THEREMIN_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(THEREMIN DEFAULT_MSG THEREMIN_LIBRARIES THEREMIN_INCLUDE_DIRS)
MARK_AS_ADVANCED(THEREMIN_LIBRARIES THEREMIN_INCLUDE_DIRS)

